gnutls_record_set_max_size(3)

NAME
gnutls_record_set_max_size - API function

SYNOPSIS
#include <gnutls/gnutls.h>

ssize_t gnutls_record_set_max_size(gnutls_session_t session, size_t size);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

size_t size
    is the new size

DESCRIPTION
This function sets the maximum record packet size in this connection. The requested record size does get in effect immediately only while sending data. The receive part will take effect after a successful handshake. Prior to 3.6.4, this function was implemented using a TLS extension called 'max record size', which limits the acceptable values to 512(=2^9), 1024(=2^10), 2048(=2^11) and 4096(=2^12). Since 3.6.4, it uses another TLS extension called 'record size limit', which doesn't have the limitation, as long as the value ranges between 512 and 16384. Note that not all TLS implementations use or even understand those extension. In TLS 1.3, the value is the length of plaintext content plus its padding, excluding content type octet.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/